2016년 5월 26일 목요일

Apache module compile apxs command not found

Apache module compile apxs command not found


[root@conoha ~]# apxs -a -i -l cap -c mod_ruid2.c
-bash: apxs: command not found
[root@conoha ~]# yum install httpd-devel
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: ftp.iij.ad.jp
 * epel: ftp.riken.jp
 * epel-debuginfo: ftp.riken.jp
 * epel-source: ftp.riken.jp
 * extras: ftp.iij.ad.jp
 * updates: ftp.iij.ad.jp
Resolving Dependencies
--> Running transaction check
---> Package httpd-devel.x86_64 0:2.4.6-40.el7.centos.1 will be installed
--> Processing Dependency: apr-util-devel for package: httpd-devel-2.4.6-40.el7.centos.1.x86_64
--> Processing Dependency: apr-devel for package: httpd-devel-2.4.6-40.el7.centos.1.x86_64
--> Running transaction check
---> Package apr-devel.x86_64 0:1.4.8-3.el7 will be installed
---> Package apr-util-devel.x86_64 0:1.5.2-6.el7 will be installed
--> Processing Dependency: openldap-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
--> Processing Dependency: libdb-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
--> Processing Dependency: expat-devel(x86-64) for package: apr-util-devel-1.5.2-6.el7.x86_64
--> Running transaction check
---> Package expat-devel.x86_64 0:2.1.0-8.el7 will be installed
---> Package libdb-devel.x86_64 0:5.3.21-19.el7 will be installed
---> Package openldap-devel.x86_64 0:2.4.40-9.el7_2 will be installed
--> Processing Dependency: cyrus-sasl-devel(x86-64) for package: openldap-devel-2.4.40-9.el7_2.x86_64
--> Running transaction check
---> Package cyrus-sasl-devel.x86_64 0:2.1.26-20.el7_2 will be installed
--> Processing Dependency: cyrus-sasl(x86-64) = 2.1.26-20.el7_2 for package: cyrus-sasl-devel-2.1.26-20.el7_2.x86_64
--> Running transaction check
---> Package cyrus-sasl.x86_64 0:2.1.26-20.el7_2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch       Version                      Repository   Size
================================================================================
Installing:
 httpd-devel          x86_64     2.4.6-40.el7.centos.1        updates     187 k
Installing for dependencies:
 apr-devel            x86_64     1.4.8-3.el7                  base        188 k
 apr-util-devel       x86_64     1.5.2-6.el7                  base         76 k
 cyrus-sasl           x86_64     2.1.26-20.el7_2              updates      88 k
 cyrus-sasl-devel     x86_64     2.1.26-20.el7_2              updates     310 k
 expat-devel          x86_64     2.1.0-8.el7                  base         56 k
 libdb-devel          x86_64     5.3.21-19.el7                base         38 k
 openldap-devel       x86_64     2.4.40-9.el7_2               updates     799 k

Transaction Summary
================================================================================
Install  1 Package (+7 Dependent packages)

Total download size: 1.7 M
Installed size: 6.8 M
Is this ok [y/d/N]: y
Downloading packages:
(1/8): apr-devel-1.4.8-3.el7.x86_64.rpm                    | 188 kB   00:00
(2/8): httpd-devel-2.4.6-40.el7.centos.1.x86_64.rpm        | 187 kB   00:00
(3/8): libdb-devel-5.3.21-19.el7.x86_64.rpm                |  38 kB   00:00
(4/8): expat-devel-2.1.0-8.el7.x86_64.rpm                  |  56 kB   00:00
(5/8): apr-util-devel-1.5.2-6.el7.x86_64.rpm               |  76 kB   00:00
(6/8): cyrus-sasl-2.1.26-20.el7_2.x86_64.rpm               |  88 kB   00:00
(7/8): openldap-devel-2.4.40-9.el7_2.x86_64.rpm            | 799 kB   00:00
(8/8): cyrus-sasl-devel-2.1.26-20.el7_2.x86_64.rpm         | 310 kB   00:00
--------------------------------------------------------------------------------
Total                                              5.6 MB/s | 1.7 MB  00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : apr-devel-1.4.8-3.el7.x86_64                                 1/8
  Installing : libdb-devel-5.3.21-19.el7.x86_64                             2/8
  Installing : expat-devel-2.1.0-8.el7.x86_64                               3/8
  Installing : cyrus-sasl-2.1.26-20.el7_2.x86_64                            4/8
  Installing : cyrus-sasl-devel-2.1.26-20.el7_2.x86_64                      5/8
  Installing : openldap-devel-2.4.40-9.el7_2.x86_64                         6/8
  Installing : apr-util-devel-1.5.2-6.el7.x86_64                            7/8
  Installing : httpd-devel-2.4.6-40.el7.centos.1.x86_64                     8/8
  Verifying  : openldap-devel-2.4.40-9.el7_2.x86_64                         1/8
  Verifying  : apr-util-devel-1.5.2-6.el7.x86_64                            2/8
  Verifying  : cyrus-sasl-2.1.26-20.el7_2.x86_64                            3/8
  Verifying  : apr-devel-1.4.8-3.el7.x86_64                                 4/8
  Verifying  : expat-devel-2.1.0-8.el7.x86_64                               5/8
  Verifying  : libdb-devel-5.3.21-19.el7.x86_64                             6/8
  Verifying  : cyrus-sasl-devel-2.1.26-20.el7_2.x86_64                      7/8
  Verifying  : httpd-devel-2.4.6-40.el7.centos.1.x86_64                     8/8

Installed:
  httpd-devel.x86_64 0:2.4.6-40.el7.centos.1

Dependency Installed:
  apr-devel.x86_64 0:1.4.8-3.el7
  apr-util-devel.x86_64 0:1.5.2-6.el7
  cyrus-sasl.x86_64 0:2.1.26-20.el7_2
  cyrus-sasl-devel.x86_64 0:2.1.26-20.el7_2
  expat-devel.x86_64 0:2.1.0-8.el7
  libdb-devel.x86_64 0:5.3.21-19.el7
  openldap-devel.x86_64 0:2.4.40-9.el7_2

Complete!